From c9cf6a57ef110d1d5ca67aaf64d678e0128241c5 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 1 Jan 2025 05:11:39 +0000
Subject: [PATCH] libxcrypt-compat,libxcrypt: upgrade 4.4.36 -> 4.4.37,4.4.36
 -> 4.4.37

---
 .../libxcrypt/files/configure-c99.patch       | 39 -------------------
 .../libxcrypt/files/fix_cflags_handling.patch |  3 +-
 ...t_4.4.36.bb => libxcrypt-compat_4.4.37.bb} |  1 +
 meta/recipes-core/libxcrypt/libxcrypt.inc     |  9 ++---
 ...ibxcrypt_4.4.36.bb => libxcrypt_4.4.37.bb} |  0
 5 files changed, 6 insertions(+), 46 deletions(-)
 delete mode 100644 meta/recipes-core/libxcrypt/files/configure-c99.patch
 rename meta/recipes-core/libxcrypt/{libxcrypt-compat_4.4.36.bb => libxcrypt-compat_4.4.37.bb} (99%)
 rename meta/recipes-core/libxcrypt/{libxcrypt_4.4.36.bb => libxcrypt_4.4.37.bb} (100%)

diff --git a/meta/recipes-core/libxcrypt/files/configure-c99.patch b/meta/recipes-core/libxcrypt/files/configure-c99.patch
deleted file mode 100644
index b77ea7af07..0000000000
--- a/meta/recipes-core/libxcrypt/files/configure-c99.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-From cfe9f4d6b0a5d10a15e10e987d528c5c513a42f1 Mon Sep 17 00:00:00 2001
-From: Florian Weimer <fweimer@redhat.com>
-Date: Tue, 19 Dec 2023 11:00:11 +0100
-Subject: [PATCH] configure: Only text the makecontext signature we need
-
-The test/explicit-bzero.c test uses a start routine without any
-arguments.  There is no need for the multi-argument version.
-
-This avoids a build failure with glibc and future compilers.
-The GNU C library declares the makecontext callback of
-type void (*) (void), so no cast is needed.  On other systems,
-the type may be the (currently distinct) type void (*) (),
-but given that this only affects the ability to execute a test,
-no further machinery is added here to detect that different type.
-
-Upstream-Status: Submitted [https://github.com/besser82/libxcrypt/pull/178/]
-Signed-off-by: Ross Burton <ross.burton@arm.com>
----
- configure.ac | 2 --
- 1 file changed, 2 deletions(-)
-
-diff --git a/configure.ac b/configure.ac
-index 016997c..4b8afd8 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -303,13 +303,11 @@ AS_IF([test $ac_cv_header_ucontext_h = yes],
- #include <ucontext.h>
- static int x;
- static void fn1(void) {}
--static void fn2(int a, int b) { x = a - b; }
- ]], [[
-   ucontext_t uc1, uc2;
-   if (getcontext(&uc1)) return 1;
-   if (setcontext(&uc1)) return 1;
-   makecontext(&uc1, fn1, 0);
--  makecontext(&uc2, fn2, 2, 1, 1);
-   if (swapcontext(&uc1, &uc2)) return 1;
-   return x;
- ]])],
diff --git a/meta/recipes-core/libxcrypt/files/fix_cflags_handling.patch b/meta/recipes-core/libxcrypt/files/fix_cflags_handling.patch
index 94aa3fed49..9bb03fcd24 100644
--- a/meta/recipes-core/libxcrypt/files/fix_cflags_handling.patch
+++ b/meta/recipes-core/libxcrypt/files/fix_cflags_handling.patch
@@ -1,4 +1,4 @@
-From 7b2a0cdc281d94a5782c37ef87040c341447b4b4 Mon Sep 17 00:00:00 2001
+From 1d91d150dd593e0c744c13b4ec8ec7cbf5da0f52 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Fri, 30 Apr 2021 10:35:02 +0100
 Subject: [PATCH] libxcrypt: Update to 4.4.19 release and fix symbol version
@@ -13,7 +13,6 @@ Avoid this by stripping empty elements out of CFLAGS.
 
 Upstream-Status: Submitted [https://github.com/besser82/libxcrypt/pull/126]
 Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
-
 ---
  build-aux/scripts/compute-symver-floor | 2 ++
  1 file changed, 2 insertions(+)
diff --git a/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.36.bb b/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.37.bb
similarity index 99%
rename from meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.36.bb
rename to meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.37.bb
index 30ec6a4674..bb4e2032dd 100644
--- a/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.36.bb
+++ b/meta/recipes-core/libxcrypt/libxcrypt-compat_4.4.37.bb
@@ -16,3 +16,4 @@ do_install:append () {
 	rm -rf ${D}${libdir}/libcrypt.so
 	rm -rf ${D}${datadir}
 }
+
diff --git a/meta/recipes-core/libxcrypt/libxcrypt.inc b/meta/recipes-core/libxcrypt/libxcrypt.inc
index ee6875aa05..9ecb333fb9 100644
--- a/meta/recipes-core/libxcrypt/libxcrypt.inc
+++ b/meta/recipes-core/libxcrypt/libxcrypt.inc
@@ -9,13 +9,12 @@ LIC_FILES_CHKSUM = "file://LICENSING;md5=c0a30e2b1502c55a7f37e412cd6c6a4b \
 
 inherit autotools pkgconfig
 
-SRC_URI = "git://github.com/besser82/libxcrypt.git;branch=${SRCBRANCH};protocol=https"
-SRCREV = "f531a36aa916a22ef2ce7d270ba381e264250cbf"
+SRC_URI = "git://github.com/besser82/libxcrypt.git;branch=${SRCBRANCH};protocol=https \
+           file://fix_cflags_handling.patch \
+           "
+SRCREV = "e5714d1f0a477f91ce3986fa63651c7710f0e183"
 SRCBRANCH ?= "master"
 
-SRC_URI += "file://fix_cflags_handling.patch \
-            file://configure-c99.patch"
-
 PROVIDES = "virtual/crypt"
 
 S = "${WORKDIR}/git"
diff --git a/meta/recipes-core/libxcrypt/libxcrypt_4.4.36.bb b/meta/recipes-core/libxcrypt/libxcrypt_4.4.37.bb
similarity index 100%
rename from meta/recipes-core/libxcrypt/libxcrypt_4.4.36.bb
rename to meta/recipes-core/libxcrypt/libxcrypt_4.4.37.bb
-- 
2.44.1

